---
sourceDocument: オーストラリア API リファレンス
sourceDocumentLink: https://servicenow-prod.fluidtopics.net/r/ja-JP/api-reference

 Release :

    - australia

ft:locale :

    - ja-JP

ft:publication_title :

    - オーストラリア API リファレンス

ft:clusterId :

    - crapiref

bundleId :

    - crapiref

workflow :

    - Creator


---

# セールス CRM の価格設定:POST /api/sn_csm_pricing/{api_version}/pricingengine/computePrice

# セールス CRM の価格設定:POST /api/sn_csm_pricing/{api_version}/pricingengine/computePrice {#ariaid-title1}

* リリースバージョン: Australia
* 
* 更新日 2019年10月16日
* 
* ![](https://www.servicenow.com/docs/portal-asset/ico-clock) 所要時間：175分

発信者が要求ペイロードで指定された製品の価格を計算できるようにします。ペイロードに含まれる価格設定により、検証、調整、ロールアップを適用するかどうかなど、価格設定エンジンの実行フローが決定および制御されます。
<br />

## URL 形式

バージョニングされた URL: /api/sn_csm_pricing/{api_version}/pricingengine/computePrice

デフォルト URL:

## サポートされている要求パラメーター

{#sales_crm_pricing-POST-compute-price__entry__2}

| 名前 | 説明 |
|-|-|
| なし |   |
[表 : 1. パスパラメーター]

{#sales_crm_pricing-POST-compute-price__entry__6}

| 名前 | 説明 |
|-|-|
| なし |   |
[表 : 2. クエリパラメーター]

{#sales_crm_pricing-POST-compute-price__entry__10}

| 名前 | 説明 |
|-|-|
| ヘッダー | 必須です。トランザクションレベルの詳細、品目、通貨、価格リスト、およびトランザクション日付が含まれます。 データタイプ: オブジェクト { "header": { "source_system": "String", "requesting_record_id": "String", "currency": "String", "lineItems": [Array], "pricelist": "String", "transaction_date": "String" } } |
| header.source_system | 必須です。要求を開始するシステム。 データタイプ：文字列 例: `ServiceNow REST API` |
| header.requesting_record_id | 必須です。この要求の一意の識別子。 データタイプ：文字列 例: `QT0001101` |
| header.currency | 必須です。価格設定の通貨コード。ServiceNow 通貨のみをサポートしています。 データタイプ：文字列 例: `USD` |
| header.transaction_date | 必須です。トランザクションの日時。 形式:形式:glide_date_time値 (`yyyy-MM-dd HH:mm:ss` など) データタイプ:日時 例: `2023-12-18 23:37:11` |
| header.pricelist | 必須です。取引に使用するデフォルトの価格リスト ID。 データタイプ：文字列 例: `19d29513d0e63110f8770dbf976be122` |
| header.lineItems | 必須です。製品、数量、価格情報の詳細を示す品目オブジェクトのアレイ。 { "lineItems": [ { "line_id": "String", "pricelist": "String", "product_offering": "String", "periodicity": "String", "quantity": "String", "unit_of_measure": "String", "transaction_date": "String", "account_tier": "String", "selected": "Boolean", "top_product_offer": "String", "parent_product_offer": "String", "settings": {Object} } ] } |
| header.lineItems\[\].line_id | 必須です。この明細品目の一意の識別子。 データタイプ：文字列 例: `CONNECTEDC1100` |
| header.lineItems\[\].pricelist | 必須です。この明細品目の価格リスト ID。 データタイプ：文字列 例: `19d29513d0e63110f8770dbf976be122` |
| header.lineItems\[\].product_offering | 必須です。この明細品目の製品オファリング ID。 データタイプ：文字列 例: `db61dd9fd0a63110f8770dbf976be19c` |
| header.lineItems\[\].periodicity | 頻度を識別します。可能な値は、 `月次`、 `年次`、または null/undefined です。 データタイプ：文字列 例: `月次` |
| header.lineItems\[\].quantity | 必須です。製品の数量。 データタイプ：文字列 例: `1` |
| header.lineItems\[\].unit_of_measure | 必須です。測定単位 ID。 データタイプ：文字列 例: `cb2795d553020110286eddeeff7b12ff` |
| header.lineItems\[\].transaction_date | 必須です。この明細品目固有の取引の日付。 形式:glide_date_time値 データタイプ:日時 例: `2023-12-18 23:37:11` |
| header.lineItems\[\].account_tier | 価格設定ロジックのオプションのアカウント階層 (「ゴールド」など)。account_tierがルールマトリクスで使用されるコンテキスト変数である場合。 データタイプ：文字列 |
| header.lineItems\[\].selected | 品目がコンフィギュレーターシナリオで選択されているかどうかを示します。バンドルの子品目にのみ適用されます。 データタイプ：ブーリアン 例: `true` |
| header.lineItems\[\].top_product_offer | 構成バンドル内のトップレベルの製品の識別子。 データタイプ：文字列 例: `db61dd9fd0a63110f8770dbf976be19c` |
| header.lineItems\[\].parent_product_offer | バンドル品目内の親製品の識別子。 データタイプ：文字列 例: `26d07c3211707110f877366201dea60c` |
| 設定 | 必須です。価格設定エンジンの設定とオプションが含まれます。 データタイプ: オブジェクト { "settings": { "pricing_elements": "String", "disable_validation": boolean } } |
| settings.pricing_elements | 必須です。返す要素のカンマ区切りリスト。 データタイプ：文字列 例: `PRICE,COST,NET_PRICE,LINE_ROLLUPS,HEADER_ROLLUPS,ADJUSTMENTS` |
| settings.disable_validation | 要求に応じて検証チェックを無効にするかどうか。 データタイプ：ブーリアン 例: `true` |
| settings.config_lines_expanded | バンドルのすべての行を要求で送信するかどうかを示します。現時点では、コンフィギュレーターでは、コンフィギュレーターからの価格設定呼び出しごとにすべての明細が送信されることを想定しています。 データタイプ：ブーリアン 例: `true` |
| settings.scope | 価格設定の範囲。 データタイプ：文字列 例: `コンフィギュレーター` |
| settings.config_top_line_identifier | 構成内のトップレベルの製品の明細行 ID。 データタイプ：文字列 例: `HOMEAUTOMA2000` |
| settings.use_external_code | システムが外部コードルックアップを実行するかどうかを示します。 データタイプ：ブーリアン 例: `true` |
[表 : 3. 要求本文パラメーター (XML または JSON)]

## ヘッダー

次の要求ヘッダーと応答ヘッダーは、この HTTP アクションにのみ適用されるか、別の方法でこのアクションに適用されます。REST API で使用される一般的なヘッダーのリストについては、「 [サポートされている REST API ヘッダー」](https://servicenow-prod.fluidtopics.net/lLW_uT5I5_l1aD8yR4Jt9A "REST (REpresentational State Transfer) は、Web 上のコンピューター システム間の標準を提供するシンプルなステートレス アーキテクチャであり、コンピューター システム間の通信を容易にします。")を参照してください。
{#sales_crm_pricing-POST-compute-price__entry__62}{#sales_crm_pricing-POST-compute-price__accept-RESTAPI}

| ヘッダー | 説明 |
|-|-|
| 承認 | 応答本文のデータフォーマット。サポートされるタイプ：application/json または application/xml。 デフォルト： application/json |
[表 : 4. 要求ヘッダー]

{#sales_crm_pricing-POST-compute-price__entry__66}

| ヘッダー | 説明 |
|-|-|
| なし |   |
[表 : 5. 応答ヘッダー]

## ステータスコード

この HTTP アクションには、次のステータスコードが適用されます。REST API で使用される可能性のあるステータスコードのリストについては、「 [REST API HTTP 応答コード](https://servicenow-prod.fluidtopics.net/lLW_uT5I5_l1aD8yR4Jt9A "REST (REpresentational State Transfer) は、Web 上のコンピューター システム間の標準を提供するシンプルなステートレス アーキテクチャであり、コンピューター システム間の通信を容易にします。")」を参照してください。
{#sales_crm_pricing-POST-compute-price__entry__70}{#sales_crm_pricing-POST-compute-price__entry-200-status-code}

| ステータスコード | 説明 |
|-|-|
| 200 | 成功。要求が正常に処理されました。 |
[表 : 6. ステータスコード]

## 応答本文のパラメーター (JSON または XML) {#sales_crm_pricing-POST-compute-price__section_qwx_l3t_ygc}

{#sales_crm_pricing-POST-compute-price__table_twx_l3t_ygc__entry__2}

| 名前 | 説明 |
|-|-|
| header.currency | 価格設定応答で使用される通貨コード。要求で送信されたものと同様です。 データタイプ：文字列 例: `USD` |
| header.costbook | 価格設定に使用される原価表の識別子。 データタイプ:文字列 (Sys_id) |
| header.lineItems | 各品目の価格設定の詳細が含まれています。 データタイプ：アレイ\<Object\> { "lineItems": [ { "line_id": "String", "status": "String", "currency": "String", "base_price": { "value": "String", "displayValue": "String" }, "list_price": { "value": "String", "displayValue": "String" }, "pricelist": "String", "quantity": "", "price_list_line": "String", "product_offering": "String", "one_time_price": { "value": "String", "displayValue": "String" }, "monthly_recurring_price": { "value": "String", "displayValue": "String" }, "annual_recurring_price": { "value": "String", "displayValue": "String" }, "unit_net_price": { "value": "String", "displayValue": "String" }, "cumulative_net_price": { "value": "String", "displayValue": "String" }, "cumulative_one_time_price": { "value": "String", "displayValue": "String" }, "cumulative_monthly_recurring_price": { "value": "String", "displayValue": "String" }, "cumulative_annual_recurring_price": { "value": "String", "displayValue": "String" }, "unit_adjustment": { "value": "String", "displayValue": "String" }, "term_month": { "value": Integer, "displayValue": Integer }, "cumulative_annual_recurring_price_v1": { "value": Integer, "displayValue": Integer }, "cumulative_monthly_recurring_price_v1": { "value": 0, "displayValue": 0 }, "total_recurring_price": { "value": "String", "displayValue": "String" }, "pricingAdjustments": [], "total_adjustment_amount": [] } ] } |
| header.lineItems\[\].line_id | 品目の識別子。 データタイプ：文字列 例: `CONNECTEDC1100` |
| header.lineItems\[\].status | 品目の価格計算のステータス。 有効なオプション: * 成功 * 失敗 {#sales_crm_pricing-POST-compute-price__ul_r2j_qf1_zgc} データタイプ：文字列 例: `成功` |
| header.lineItems\[\].base_price | 調整前の基本価格。 データタイプ: オブジェクト { "base_price": { "value": "String", "displayValue": "String" } } |
| header.lineItems\[\].list_price | 基本価格と属性調整を含む表示価格。 データタイプ: オブジェクト { "list_price": { "value": "String", "displayValue": "String" } } |
| header.lineItems\[\].pricelist | 価格リストの参照。 データタイプ:文字列 (Sys_id) |
| header.lineItems\[\].quantity | 要求の一部として送信される数量。 データタイプ：文字列 例: `1` |
| header.lineItems\[\].price_list_line | 価格明細参照。 データタイプ:文字列 (Sys_id) 例: `3e93e785d07a7910f8770dbf976be1ee` |
| header.lineItems\[\].product_offering | 製品オファリング参照。 データタイプ:文字列 (Sys_id) 例: `db61dd9fd0a63110f8770dbf976be19c` |
| header.lineItems\[\].one_time_price | 製品の 1 回限りの価格 (正価 × 数量)。 データタイプ: オブジェクト { "one_time_price": { "value": "String", "displayValue": "String" } } |
| header.lineItems\[\].monthly_recurring_price | すべての数量を含む、製品の月間定期料金。 データタイプ: オブジェクト { "monthly_recurring_price": { "value": Integer, "displayValue": Integer } } |
| header.lineItems\[\].annual_recurring_price | すべての数量を含む製品の年間定期料金。 データタイプ: オブジェクト { "annual_recurring_price": { "value": "String", "displayValue": "String" } } |
| header.lineItems\[\].unit_net_price | 自動調整後の単位当たりの正味価格。 データタイプ: オブジェクト { "unit_net_price": { "value": "String", "displayValue": "String" } } |
| header.lineItems\[\].cumulative_net_price | \[1 回限りの料金 + (月間定期料金 \* 期間)\] + (親品目の場合) 直接の子品目と孫品目のすべての CNP の合計 データタイプ: オブジェクト { "cumulative_net_price": { "value": "String", "displayValue": "String" } } |
| header.lineItems\[\].cumulative_one_time_price | 子向け:品目の 1 回限りの料金。親品目の場合:品目の 1 回限りの料金 + すべての子および孫品目の 1 回限りの料金。 データタイプ: オブジェクト { "cumulative_one_time_price": { "value": "String", "displayValue": "String" } } |
| header.lineItems\[\].cumulative_monthly_recurring_price | 価格方法 = 繰り返しの場合。品目の月間定期料金 + (親品目の場合) 子品目のすべての月間定期料金の合計。 データタイプ: オブジェクト { "cumulative_monthly_recurring_price": { "value": "String", "displayValue": "String" } } |
| header.lineItems\[\].cumulative_annual_recurring_price | 価格方法 = 繰り返しの場合。月間定期料金累積 \* 12。 データタイプ: オブジェクト { "cumulative_annual_recurring_price": { "value": "String", "displayValue": "String" } } |
| header.lineItems\[\].unit_adjustment | 単位ごとに適用される価格調整。 データタイプ: オブジェクト { "unit_adjustment": { "value": "String", "displayValue": "String" } } |
| header.lineItems\[\].term_month | 期間 (月)。 データタイプ: オブジェクト { "term_month": { "value": Integer, "displayValue": Integer } } |
| header.lineItems\[\].cost | 製品の単価。 データタイプ: オブジェクト { "cost": { "value": Integer, "displayValue": Integer } } |
| header.lineItems\[\].unit_margin_amount | 単位あたりの利益率。 データタイプ: オブジェクト { "cost": { "value": Integer, "displayValue": Integer } } |
| header.lineItems\[\].unit_margin_percentage | 単位あたりの利益率。 データタイプ: オブジェクト |
| header.lineItems\[\].one_time_cost | すべての数量を含む製品の 1 回限りのコスト。 データタイプ: オブジェクト |
| header.lineItems\[\].monthly_recurring_cost | すべての数量を含む製品の月間定期コスト。 データタイプ: オブジェクト |
| header.lineItems\[\].cumulative_one_time_cost | 子の場合:品目の 1 回限りのコスト。親品目の場合:品目の 1 回限りのコスト + すべての子および孫品目の 1 回限りのコスト。 データタイプ: オブジェクト |
| header.lineItems\[\].cumulative_monthly_recurring_cost | 価格方法 = 繰り返しの場合。品目の月次定期コスト + (親品目の場合) 子品目のすべての月次定期コストの合計。 データタイプ: オブジェクト |
| header.lineItems\[\].cumulative_net_cost | \[1 回限りのコスト + (月間定期コスト \* 期間)\] + (親品目の場合) 直接品目と孫品目のすべての CNC の合計 データタイプ: オブジェクト |
| header.lineItems\[\].cumulative_margin_percentage | 全体の利益率。 データタイプ: オブジェクト |
| header.status | 価格設定要求全体のステータス。 有効なオプションは次のとおりです。 * 成功 * 失敗 * 部分的な障害 {#sales_crm_pricing-POST-compute-price__ul_gqm_kb1_zgc} データタイプ：文字列 例: `成功` |
| header.total_monthly_recurring_price | 月間定期料金集計。 データタイプ: オブジェクト |
| header.total_annual_recurring_price | 年間定期料金集計。 データタイプ: オブジェクト |
| header.total_amount | 合計トランザクション金額。 データタイプ: オブジェクト |
| header.total_one_time_price | 集計された 1 回限りの料金。 データタイプ: オブジェクト |
| header.total_one_time_cost | 集計された 1 回限りのコスト。 データタイプ: オブジェクト |
| header.total_monthly_cost | 月次集計コスト。 データタイプ: オブジェクト |
| header.total_cost | 総コスト (1 回 + 繰り返し)。 データタイプ: オブジェクト |
| header.total_one_time_margin | 1 回限りの課金からの利益の合計。 データタイプ: オブジェクト |
| header.total_monthly_margin | 月額料金からの利益総額。 データタイプ: オブジェクト |
| header.total_margin_amount | 利益率の合計。 データタイプ: オブジェクト |
| header.total_one_time_margin_percentage | 1 回限りの課金の利益率。 データタイプ: オブジェクト |
| header.total_monthly_margin_percentage | 月額料金の利益率。 データタイプ: オブジェクト |
| header.total_margin_percentage | 全体の利益率。 データタイプ: オブジェクト |
| settings.pricing_elements | 価格設定応答に含まれる要素 (価格、コスト、NET_PRICEなど)。 データタイプ：文字列 |
| settings.pricing_context_id | スコープがコンフィギュレーターである場合の価格設定セッションの識別子。 データタイプ：文字列 |
[ ]

{#sales_crm_pricing-POST-compute-price__table_twx_l3t_ygc}

## 使用例 {#sales_crm_pricing-POST-compute-price__section_ihr_33p_zgc}

これらの例は、次のような基本的な使用法を示しています。

* 単一製品の価格の計算
* ヘッダーロールアップを使用して複数の製品の価格を計算する
* 製品構成セッションの開始
* 製品構成の更新 (特性オプションの変更)
{#sales_crm_pricing-POST-compute-price__ul_s5l_cjp_zgc}  

## 単一の製品の価格を計算する {#sales_crm_pricing-POST-compute-price__example_r1b_jjp_zgc}

この例は、単一の製品オファリングの基本的な価格計算を示しています。API は 1 つの明細品目で呼び出され、要求は PRICE、COST、NET_PRICE、LINE_ROLLUPS、HEADER_ROLLUPS、および ADJUSTMENTS を計算して返すように指定します。これは、複雑な構成や調整を行わずに個々のアイテムの価格を取得するための基本的な要求です。

例:cURL 要求。

    curl "https://instance.servicenow.com/api/sn_csm_pricing/v1/pricingengine/computePrice" \
    --request POST \
    --header "Accept: application/json" \
    --header "Content-Type: application/json" \
    --data '{
        "header": {
            "source_system": "ServiceNow Headless API",
            "requesting_record_id": "QT0001101",
            "currency": "USD",
            "lineItems": [
                {
                    "pricelist": "19d29513d0e63110f8770dbf976be122",
                    "product_offering": "db61dd9fd0a63110f8770dbf976be19c",
                    "periodicity" : "",
                    "quantity": "1",
                    "unit_of_measure": "cb2795d553020110286eddeeff7b12ff",
                    "transaction_date": "2023-12-18 23:37:11",
                    "line_id": "CONNECTEDC1100"
                }
            ],
            "pricelist": "19d29513d0e63110f8770dbf976be122",
            "transaction_date": "2023-12-18 23:37:11"
        },
        "settings": {
            "pricing_elements": "PRICE,COST,NET_PRICE,LINE_ROLLUPS,HEADER_ROLLUPS,ADJUSTMENTS",
            "disable_validation": true
        }
    }' \
    --user 'username:password'

<br />

    {
          "result": {
            "header": {
                "currency": "USD",
                "lineItems": [
                    {
                        "line_id": "CONNECTEDC1100",
                        "status": "Success",
                        "currency": "USD",
                        "base_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "list_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "pricelist": "19d29513d0e63110f8770dbf976be122",
                        "quantity": "",
                        "price_list_line": "3e93e785d07a7910f8770dbf976be1ee",
                        "product_offering": "db61dd9fd0a63110f8770dbf976be19c",
                        "one_time_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "monthly_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "annual_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "unit_net_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_net_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_one_time_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_monthly_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_annual_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "unit_adjustment": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "term_month": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_annual_recurring_price_v1": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_monthly_recurring_price_v1": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "total_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "pricingAdjustments": [],
                        "total_adjustment_amount": []
                    }
                ],
                "status": "Success",
                "total_monthly_recurring_price": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_monthly_recurring_price_v1": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_annual_recurring_price": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_annual_recurring_price_v1": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_amount": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_amount_v1": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_one_time_price": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_one_time_cost": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_monthly_cost": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_cost": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_one_time_margin": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_monthly_margin": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_margin_amount": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_one_time_margin_percentage": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_monthly_margin_percentage": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_margin_percentage": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                }
            },
            "settings": {
                "pricing_elements": "PRICE,COST,NET_PRICE,LINE_ROLLUPS,HEADER_ROLLUPS,ADJUSTMENTS"
            }
        }
    }

## ヘッダーロールアップを使用して複数の製品の価格を計算する {#sales_crm_pricing-POST-compute-price__example_y5s_mht_ygc}

この例では、単一のトランザクションで価格設定される複数の個別の製品のリストを送信する方法を示します。この要求の主な違いは、同じ要求に複数の製品を送信することです。これにより、価格設定エンジンは、各品目の個別の価格を計算し、要求全体の集計合計を計算して返すよう指示します。

例:cURL 要求。

    curl "https://instance.servicenow.com/api/sn_csm_pricing/v1/pricingengine/computePrice" \
    --request POST \
    --header "Accept: application/json" \
    --header "Content-Type: application/json" \
    --data '{
        "header": {
            "source_system": "Test Source System",
            "requesting_record_id": "QT0001101",
            "currency": "USD",
            "lineItems": [
                {
                    "top_product_offer": "db61dd9fd0a63110f8770dbf976be19c",
                    "pricelist": "19d29513d0e63110f8770dbf976be122",
                    "product_offering": "db61dd9fd0a63110f8770dbf976be19c",
                    "periodicity" : "",
                    "quantity": "1",
                    "unit_of_measure": "cb2795d553020110286eddeeff7b12ff",
                    "transaction_date": "2023-12-18 23:37:11",
                    "line_id": "CONNECTEDC1000"
                },
                {
                    "top_product_offer": "9b61dd9fd0a63110f8770dbf976be1c6",
                    "pricelist": "19d29513d0e63110f8770dbf976be122",
                    "product_offering": "9b61dd9fd0a63110f8770dbf976be1c6",
                    "periodicity" : "annually",
                    "quantity": "1",
                    "unit_of_measure": "cb2795d553020110286eddeeff7b12ff",
                    "transaction_date": "2023-12-18 23:37:11",
                    "line_id": "AUTOCOLLIS1001"
                },
                {
                    "top_product_offer": "9361dd9fd0a63110f8770dbf976be1c4",
                    "pricelist": "19d29513d0e63110f8770dbf976be122",
                    "product_offering": "9361dd9fd0a63110f8770dbf976be1c4",
                    "periodicity" : "annually",
                    "quantity": "1",
                    "unit_of_measure": "cb2795d553020110286eddeeff7b12ff",
                    "transaction_date": "2023-12-18 23:37:11",
                    "line_id": "WIFIHOTSPOT1002"
                }
            ],
            "pricelist": "19d29513d0e63110f8770dbf976be122",
            "transaction_date": "2023-12-18 23:37:11"
        },
        "settings": {
            "pricing_elements": "PRICE,COST,NET_PRICE,LINE_ROLLUPS,HEADER_ROLLUPS,ADJUSTMENTS",
            "disable_validation": true
        }
    }' \
    --user 'username:password'

<br />

    {
        "result": {
            "header": {
                "currency": "USD",
                "lineItems": [
                    {
                        "line_id": "CONNECTEDC1000",
                        "status": "Success",
                        "currency": "USD",
                        "base_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "list_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "pricelist": "19d29513d0e63110f8770dbf976be122",
                        "quantity": "1",
                        "price_list_line": "3e93e785d07a7910f8770dbf976be1ee",
                        "product_offering": "db61dd9fd0a63110f8770dbf976be19c",
                        "top_product_offer": "db61dd9fd0a63110f8770dbf976be19c",
                        "one_time_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "monthly_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "annual_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "unit_net_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_net_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_one_time_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_monthly_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_annual_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "unit_adjustment": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "term_month": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_annual_recurring_price_v1": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_monthly_recurring_price_v1": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "total_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "pricingAdjustments": [],
                        "total_adjustment_amount": []
                    },
                    {
                        "line_id": "AUTOCOLLIS1001",
                        "status": "Success",
                        "currency": "USD",
                        "base_price": {
                            "value": "250.0000",
                            "displayValue": "$250.00"
                        },
                        "list_price": {
                            "value": "250.0000",
                            "displayValue": "$250.00"
                        },
                        "pricelist": "19d29513d0e63110f8770dbf976be122",
                        "quantity": "1",
                        "price_list_line": "4dc32f85d07a7910f8770dbf976be197",
                        "product_offering": "9b61dd9fd0a63110f8770dbf976be1c6",
                        "top_product_offer": "9b61dd9fd0a63110f8770dbf976be1c6",
                        "one_time_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "monthly_recurring_price": {
                            "value": "20.8333",
                            "displayValue": "$20.8333"
                        },
                        "annual_recurring_price": {
                            "value": "250.0000",
                            "displayValue": "$250.00"
                        },
                        "unit_net_price": {
                            "value": "250.0000",
                            "displayValue": "$250.00"
                        },
                        "cumulative_net_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_one_time_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_monthly_recurring_price": {
                            "value": "20.8333",
                            "displayValue": "$20.8333"
                        },
                        "cumulative_annual_recurring_price": {
                            "value": "250.0000",
                            "displayValue": "$250.00"
                        },
                        "unit_adjustment": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "term_month": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_annual_recurring_price_v1": {
                            "value": "250.0000",
                            "displayValue": "$250.00"
                        },
                        "cumulative_monthly_recurring_price_v1": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "total_recurring_price": {
                            "value": "250.0000",
                            "displayValue": "$250.00"
                        },
                        "pricingAdjustments": [],
                        "total_adjustment_amount": []
                    },
                    {
                        "line_id": "WIFIHOTSPOT1002",
                        "status": "Success",
                        "currency": "USD",
                        "base_price": {
                            "value": "100.0000",
                            "displayValue": "$100.00"
                        },
                        "list_price": {
                            "value": "100.0000",
                            "displayValue": "$100.00"
                        },
                        "pricelist": "19d29513d0e63110f8770dbf976be122",
                        "quantity": "1",
                        "price_list_line": "3ff3ef85d07a7910f8770dbf976be1ea",
                        "product_offering": "9361dd9fd0a63110f8770dbf976be1c4",
                        "top_product_offer": "9361dd9fd0a63110f8770dbf976be1c4",
                        "one_time_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "monthly_recurring_price": {
                            "value": "8.3333",
                            "displayValue": "$8.3333"
                        },
                        "annual_recurring_price": {
                            "value": "100.0000",
                            "displayValue": "$100.00"
                        },
                        "unit_net_price": {
                            "value": "100.0000",
                            "displayValue": "$100.00"
                        },
                        "cumulative_net_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_one_time_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_monthly_recurring_price": {
                            "value": "8.3333",
                            "displayValue": "$8.3333"
                        },
                        "cumulative_annual_recurring_price": {
                            "value": "100.0000",
                            "displayValue": "$100.00"
                        },
                        "unit_adjustment": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "term_month": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_annual_recurring_price_v1": {
                            "value": "100.0000",
                            "displayValue": "$100.00"
                        },
                        "cumulative_monthly_recurring_price_v1": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "total_recurring_price": {
                            "value": "100.0000",
                            "displayValue": "$100.00"
                        },
                        "pricingAdjustments": [],
                        "total_adjustment_amount": []
                    }
                ],
                "status": "Success",
                "total_monthly_recurring_price": {
                    "value": "29.1666",
                    "displayValue": "$29.1666"
                },
                "total_monthly_recurring_price_v1": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_annual_recurring_price": {
                    "value": "350.0000",
                    "displayValue": "$350.00"
                },
                "total_annual_recurring_price_v1": {
                    "value": "350.0000",
                    "displayValue": "$350.00"
                },
                "total_amount": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_amount_v1": {
                    "value": "350.0000",
                    "displayValue": "$350.00"
                },
                "total_one_time_price": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_one_time_cost": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_monthly_cost": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_cost": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_one_time_margin": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_monthly_margin": {
                    "value": "29.1666",
                    "displayValue": "$29.1666"
                },
                "total_margin_amount": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_one_time_margin_percentage": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_monthly_margin_percentage": {
                    "value": "100.0000",
                    "displayValue": "$100.00"
                },
                "total_margin_percentage": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                }
            },
            "settings": {
                "pricing_elements": "PRICE,COST,NET_PRICE,LINE_ROLLUPS,HEADER_ROLLUPS,ADJUSTMENTS"
            }
        }
    }

## 製品構成セッションの開始 {#sales_crm_pricing-POST-compute-price__example_zbg_2jt_ygc}

この例では、ステートフルな製品構成セッションを開始する方法を示します。これは、複数のコンポーネントとユーザーが選択できるオプションを備えたバンドルとして販売される複雑な製品に使用されます。スコープを「コンフィギュレーター」に設定することで、永続的なセッションを作成するように価格設定エンジンに指示します。エンジンは製品階層全体を処理し、初期価格を計算して、一意のpricing_context_idを返します。  
重要:  
セッションのステータスを維持するために、一意の `pricing_context_id` をキャプチャし、この構成に対する後続のすべての要求で送信する必要があります (数量の変更やオプションの選択など)。

例:cURL 要求。

    curl "https://instance.servicenow.com/api/sn_csm_pricing/v1/pricingengine/computePrice" \
    --request POST \
    --header "Accept: application/json" \
    --header "Content-Type: application/json" \
    --data '{
        "header": {
            "source_system": "ServiceNow Headless API",
            "requesting_record_id": "QT0001101",
            "currency": "USD",
            "lineItems": [
                {
                    "pricelist": "19d29513d0e63110f8770dbf976be122",
                    "product_offering": "26d07c3211707110f877366201dea60c",
                    "quantity": "1",
                    "top_product_offer": "26d07c3211707110f877366201dea60c",
                    "periodicity" : "",
                    "unit_of_measure": "cb2795d553020110286eddeeff7b12ff",
                    "transaction_date": "2025-08-28 22:46:39",
                    "selected": true,
                    "line_id": "HOMEAUTOMA2000"
                },
                {
                    "parent_product_offer": "26d07c3211707110f877366201dea60c",
                    "pricelist": "19d29513d0e63110f8770dbf976be122",
                    "product_offering": "fe5d203e11307110f877366201dea631",
                    "periodicity" : "",
                    "quantity": "3",
                    "top_product_offer": "26d07c3211707110f877366201dea60c",
                    "unit_of_measure": "cb2795d553020110286eddeeff7b12ff",
                    "transaction_date": "2025-08-28 22:46:39",
                    "selected": true,
                    "line_id": "DOORSENSOR1001"
                },
                {
                    "parent_product_offer": "26d07c3211707110f877366201dea60c",
                    "pricelist": "19d29513d0e63110f8770dbf976be122",
                    "product_offering": "3f6111dfd0a63110f8770dbf976be149",
                    "periodicity" : "",
                    "quantity": "1",
                    "top_product_offer": "26d07c3211707110f877366201dea60c",
                    "unit_of_measure": "cb2795d553020110286eddeeff7b12ff",
                    "characteristics": [
                        {
                            "characteristic": "4f31999fd0a63110f8770dbf976be178",
                            "characteristic_option": "0b31999fd0a63110f8770dbf976be179"
                        }
                    ],
                    "transaction_date": "2025-08-28 22:46:39",
                    "selected": true,
                    "line_id": "HOMEAUTOMA1002"
                },
                {
                    "parent_product_offer": "26d07c3211707110f877366201dea60c",
                    "pricelist": "19d29513d0e63110f8770dbf976be122",
                    "product_offering": "376111dfd0a63110f8770dbf976be140",
                    "periodicity" : "monthly",
                    "quantity": "1",
                    "top_product_offer": "26d07c3211707110f877366201dea60c",
                    "unit_of_measure": "cb2795d553020110286eddeeff7b12ff",
                    "transaction_date": "2025-08-28 22:46:39",
                    "selected": true,
                    "line_id": "BASICMONIT1003"
                },
                {
                    "parent_product_offer": "26d07c3211707110f877366201dea60c",
                    "pricelist": "19d29513d0e63110f8770dbf976be122",
                    "product_offering": "e2619d9fd0a63110f8770dbf976be1ec",
                    "periodicity" : "monthly",
                    "quantity": "1",
                    "top_product_offer": "26d07c3211707110f877366201dea60c",
                    "unit_of_measure": "cb2795d553020110286eddeeff7b12ff",
                    "transaction_date": "2025-08-28 22:46:39",
                    "selected": true,
                    "line_id": "PREMMONIT2004"
                },
                {
                    "parent_product_offer": "26d07c3211707110f877366201dea60c",
                    "pricelist": "19d29513d0e63110f8770dbf976be122",
                    "product_offering": "3b6111dfd0a63110f8770dbf976be147",
                    "periodicity" : "monthly",
                    "quantity": "1",
                    "top_product_offer": "26d07c3211707110f877366201dea60c",
                    "unit_of_measure": "cb2795d553020110286eddeeff7b12ff",
                    "transaction_date": "2025-08-28 22:46:39",
                    "selected": true,
                    "line_id": "ULTIMONIT1005"
                },
                {
                    "parent_product_offer": "26d07c3211707110f877366201dea60c",
                    "pricelist": "19d29513d0e63110f8770dbf976be122",
                    "product_offering": "1761dd9fd0a63110f8770dbf976be196",
                    "periodicity" : "",
                    "quantity": "1",
                    "top_product_offer": "26d07c3211707110f877366201dea60c",
                    "unit_of_measure": "cb2795d553020110286eddeeff7b12ff",
                    "transaction_date": "2025-08-28 22:46:39",
                    "selected": true,
                    "line_id": "INDOORCAM1006"
                },
                {
                    "parent_product_offer": "26d07c3211707110f877366201dea60c",
                    "pricelist": "19d29513d0e63110f8770dbf976be122",
                    "product_offering": "6f6111dfd0a63110f8770dbf976be100",
                    "periodicity" : "",
                    "quantity": "1",
                    "top_product_offer": "26d07c3211707110f877366201dea60c",
                    "unit_of_measure": "cb2795d553020110286eddeeff7b12ff",
                    "transaction_date": "2025-08-28 22:46:39",
                    "selected": true,
                    "line_id": "OUTCAMERA1007"
                },
                {
                    "parent_product_offer": "26d07c3211707110f877366201dea60c",
                    "pricelist": "19d29513d0e63110f8770dbf976be122",
                    "product_offering": "1b20347e11307110f877366201dea67f",
                    "periodicity" : "",
                    "quantity": "3",
                    "top_product_offer": "26d07c3211707110f877366201dea60c",
                    "unit_of_measure": "cb2795d553020110286eddeeff7b12ff",
                    "transaction_date": "2025-08-28 22:46:39",
                    "selected": true,
                    "line_id": "WINSENSOR1008"
                }
            ],
            "pricelist": "19d29513d0e63110f8770dbf976be122",
            "transaction_date": "2023-12-18 23:37:11"
        },
        "settings": {
            "pricing_elements": "PRICE,COST,NET_PRICE,LINE_ROLLUPS,HEADER_ROLLUPS,ADJUSTMENTS",
            "disable_validation": true,
            "scope": "configurator",
            "config_top_line_identifier": "HOMEAUTOMA2000",
            "config_lines_expanded": false
        }
    }' \
    --user 'username:password'

応答の例:

次の結果は、要求ステータスが成功であることを示しています。

    {
        "result": {
            "header": {
                "currency": "USD",
                "lineItems": [
                    {
                        "line_id": "HOMEAUTOMA2000",
                        "status": "Success",
                        "currency": "USD",
                        "base_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "list_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "pricelist": "19d29513d0e63110f8770dbf976be122",
                        "quantity": "1",
                        "price_list_line": "d6792b8dd07a7910f8770dbf976be1f8",
                        "product_offering": "26d07c3211707110f877366201dea60c",
                        "top_product_offer": "26d07c3211707110f877366201dea60c",
                        "one_time_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "monthly_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "annual_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "unit_net_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_net_price": {
                            "value": "200.0000",
                            "displayValue": "$200.00"
                        },
                        "cumulative_one_time_price": {
                            "value": "200.0000",
                            "displayValue": "$200.00"
                        },
                        "cumulative_monthly_recurring_price": {
                            "value": "105.0000",
                            "displayValue": "$105.00"
                        },
                        "cumulative_annual_recurring_price": {
                            "value": "1260.0000",
                            "displayValue": "$1,260.00"
                        },
                        "unit_adjustment": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "term_month": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_annual_recurring_price_v1": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_monthly_recurring_price_v1": {
                            "value": "105.0000",
                            "displayValue": "$105.00"
                        },
                        "total_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "pricingAdjustments": [],
                        "total_adjustment_amount": []
                    },
                    {
                        "line_id": "DOORSENSOR1001",
                        "status": "Success",
                        "currency": "USD",
                        "base_price": {
                            "value": "10.0000",
                            "displayValue": "$10.00"
                        },
                        "list_price": {
                            "value": "10.0000",
                            "displayValue": "$10.00"
                        },
                        "pricelist": "19d29513d0e63110f8770dbf976be122",
                        "quantity": "3",
                        "price_list_line": "2ec2a745d07a7910f8770dbf976be159",
                        "product_offering": "fe5d203e11307110f877366201dea631",
                        "parent_product_offer": "26d07c3211707110f877366201dea60c",
                        "top_product_offer": "26d07c3211707110f877366201dea60c",
                        "one_time_price": {
                            "value": "24.0000",
                            "displayValue": "$24.00"
                        },
                        "monthly_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "annual_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "unit_net_price": {
                            "value": "8.0000",
                            "displayValue": "$8.00"
                        },
                        "cumulative_net_price": {
                            "value": "24.0000",
                            "displayValue": "$24.00"
                        },
                        "cumulative_one_time_price": {
                            "value": "24.0000",
                            "displayValue": "$24.00"
                        },
                        "cumulative_monthly_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_annual_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "unit_adjustment": {
                            "value": "-2.0000",
                            "displayValue": "($2.00)"
                        },
                        "term_month": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_annual_recurring_price_v1": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_monthly_recurring_price_v1": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "total_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "pricingAdjustments": [
                            {
                                "adjustment_type": {
                                    "value": "a96c83d653dd91105c0eddeeff7b12d8",
                                    "displayValue": "MARKDOWN_PER"
                                },
                                "adjustment_value": {
                                    "value": 20.0,
                                    "displayValue": "20"
                                },
                                "adjustment_amount": {
                                    "value": -2.0,
                                    "displayValue": "($2.00)"
                                },
                                "adjustment_amount_total": {
                                    "value": -6.0,
                                    "displayValue": "($6.00)"
                                },
                                "adjustment_description": {
                                    "displayValue": "door sensor bundle discount"
                                },
                                "adjustment_sequence_id": {
                                    "value": 1.0
                                },
                                "adjustment_matrix_type": {
                                    "displayValue": "Configuration Component Price Adjustment"
                                },
                                "adjustment_basis": {
                                    "value": "prv_price_point"
                                },
                                "price_point": {
                                    "value": "net_price"
                                },
                                "pricing_plan_step": {
                                    "value": "97b61272ffe722101fb14ad013cb14d7"
                                },
                                "running_price": {
                                    "value": 8.0,
                                    "displayValue": "$8.00"
                                }
                            }
                        ],
                        "total_adjustment_amount": [
                            {
                                "pricePoint": "net_price",
                                "value": -6.0,
                                "displayValue": "($6.00)"
                            }
                        ]
                    },
                    {
                        "line_id": "HOMEAUTOMA1002",
                        "status": "Success",
                        "currency": "USD",
                        "base_price": {
                            "value": "100.0000",
                            "displayValue": "$100.00"
                        },
                        "list_price": {
                            "value": "100.0000",
                            "displayValue": "$100.00"
                        },
                        "pricelist": "19d29513d0e63110f8770dbf976be122",
                        "quantity": "1",
                        "price_list_line": "fe912705d07a7910f8770dbf976be147",
                        "product_offering": "3f6111dfd0a63110f8770dbf976be149",
                        "parent_product_offer": "26d07c3211707110f877366201dea60c",
                        "top_product_offer": "26d07c3211707110f877366201dea60c",
                        "one_time_price": {
                            "value": "80.0000",
                            "displayValue": "$80.00"
                        },
                        "monthly_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "annual_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "unit_net_price": {
                            "value": "80.0000",
                            "displayValue": "$80.00"
                        },
                        "cumulative_net_price": {
                            "value": "80.0000",
                            "displayValue": "$80.00"
                        },
                        "cumulative_one_time_price": {
                            "value": "80.0000",
                            "displayValue": "$80.00"
                        },
                        "cumulative_monthly_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_annual_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "unit_adjustment": {
                            "value": "-20.0000",
                            "displayValue": "($20.00)"
                        },
                        "term_month": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_annual_recurring_price_v1": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_monthly_recurring_price_v1": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "total_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "pricingAdjustments": [
                            {
                                "adjustment_type": {
                                    "value": "a96c83d653dd91105c0eddeeff7b12d8",
                                    "displayValue": "MARKDOWN_PER"
                                },
                                "adjustment_value": {
                                    "value": 20.0,
                                    "displayValue": "20"
                                },
                                "adjustment_amount": {
                                    "value": -20.0,
                                    "displayValue": "($20.00)"
                                },
                                "adjustment_amount_total": {
                                    "value": -20.0,
                                    "displayValue": "($20.00)"
                                },
                                "adjustment_description": {
                                    "displayValue": "home automation hub bundle discount"
                                },
                                "adjustment_sequence_id": {
                                    "value": 1.0
                                },
                                "adjustment_matrix_type": {
                                    "displayValue": "Configuration Component Price Adjustment"
                                },
                                "adjustment_basis": {
                                    "value": "prv_price_point"
                                },
                                "price_point": {
                                    "value": "net_price"
                                },
                                "pricing_plan_step": {
                                    "value": "97b61272ffe722101fb14ad013cb14d7"
                                },
                                "running_price": {
                                    "value": 80.0,
                                    "displayValue": "$80.00"
                                }
                            }
                        ],
                        "total_adjustment_amount": [
                            {
                                "pricePoint": "net_price",
                                "value": -20.0,
                                "displayValue": "($20.00)"
                            }
                        ]
                    },
                    {
                        "line_id": "BASICMONIT1003",
                        "status": "Success",
                        "currency": "USD",
                        "base_price": {
                            "value": "30.0000",
                            "displayValue": "$30.00"
                        },
                        "list_price": {
                            "value": "30.0000",
                            "displayValue": "$30.00"
                        },
                        "pricelist": "19d29513d0e63110f8770dbf976be122",
                        "quantity": "1",
                        "price_list_line": "bc53e785d07a7910f8770dbf976be1e7",
                        "product_offering": "376111dfd0a63110f8770dbf976be140",
                        "parent_product_offer": "26d07c3211707110f877366201dea60c",
                        "top_product_offer": "26d07c3211707110f877366201dea60c",
                        "one_time_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "monthly_recurring_price": {
                            "value": "25.0000",
                            "displayValue": "$25.00"
                        },
                        "annual_recurring_price": {
                            "value": "300.0000",
                            "displayValue": "$300.00"
                        },
                        "unit_net_price": {
                            "value": "25.0000",
                            "displayValue": "$25.00"
                        },
                        "cumulative_net_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_one_time_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_monthly_recurring_price": {
                            "value": "25.0000",
                            "displayValue": "$25.00"
                        },
                        "cumulative_annual_recurring_price": {
                            "value": "300.0000",
                            "displayValue": "$300.00"
                        },
                        "unit_adjustment": {
                            "value": "-5.0000",
                            "displayValue": "($5.00)"
                        },
                        "term_month": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_annual_recurring_price_v1": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_monthly_recurring_price_v1": {
                            "value": "25.0000",
                            "displayValue": "$25.00"
                        },
                        "total_recurring_price": {
                            "value": "25.0000",
                            "displayValue": "$25.00"
                        },
                        "pricingAdjustments": [
                            {
                                "adjustment_type": {
                                    "value": "6e1c03d653dd91105c0eddeeff7b1232",
                                    "displayValue": "MARKDOWN_AMT"
                                },
                                "adjustment_value": {
                                    "value": 5.0,
                                    "displayValue": "5"
                                },
                                "adjustment_amount": {
                                    "value": -5.0,
                                    "displayValue": "($5.00)"
                                },
                                "adjustment_amount_total": {
                                    "value": -5.0,
                                    "displayValue": "($5.00)"
                                },
                                "adjustment_description": {
                                    "displayValue": "basic monitoring bundle discount"
                                },
                                "adjustment_sequence_id": {
                                    "value": 1.0
                                },
                                "adjustment_matrix_type": {
                                    "displayValue": "Configuration Component Price Adjustment"
                                },
                                "adjustment_basis": {
                                    "value": "prv_price_point"
                                },
                                "price_point": {
                                    "value": "net_price"
                                },
                                "pricing_plan_step": {
                                    "value": "97b61272ffe722101fb14ad013cb14d7"
                                },
                                "running_price": {
                                    "value": 25.0,
                                    "displayValue": "$25.00"
                                }
                            }
                        ],
                        "total_adjustment_amount": [
                            {
                                "pricePoint": "net_price",
                                "value": -5.0,
                                "displayValue": "($5.00)"
                            }
                        ]
                    },
                    {
                        "line_id": "PREMMONIT2004",
                        "status": "Success",
                        "currency": "USD",
                        "base_price": {
                            "value": "40.0000",
                            "displayValue": "$40.00"
                        },
                        "list_price": {
                            "value": "40.0000",
                            "displayValue": "$40.00"
                        },
                        "pricelist": "19d29513d0e63110f8770dbf976be122",
                        "quantity": "1",
                        "price_list_line": "a663a785d07a7910f8770dbf976be115",
                        "product_offering": "e2619d9fd0a63110f8770dbf976be1ec",
                        "parent_product_offer": "26d07c3211707110f877366201dea60c",
                        "top_product_offer": "26d07c3211707110f877366201dea60c",
                        "one_time_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "monthly_recurring_price": {
                            "value": "35.0000",
                            "displayValue": "$35.00"
                        },
                        "annual_recurring_price": {
                            "value": "420.0000",
                            "displayValue": "$420.00"
                        },
                        "unit_net_price": {
                            "value": "35.0000",
                            "displayValue": "$35.00"
                        },
                        "cumulative_net_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_one_time_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_monthly_recurring_price": {
                            "value": "35.0000",
                            "displayValue": "$35.00"
                        },
                        "cumulative_annual_recurring_price": {
                            "value": "420.0000",
                            "displayValue": "$420.00"
                        },
                        "unit_adjustment": {
                            "value": "-5.0000",
                            "displayValue": "($5.00)"
                        },
                        "term_month": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_annual_recurring_price_v1": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_monthly_recurring_price_v1": {
                            "value": "35.0000",
                            "displayValue": "$35.00"
                        },
                        "total_recurring_price": {
                            "value": "35.0000",
                            "displayValue": "$35.00"
                        },
                        "pricingAdjustments": [
                            {
                                "adjustment_type": {
                                    "value": "6e1c03d653dd91105c0eddeeff7b1232",
                                    "displayValue": "MARKDOWN_AMT"
                                },
                                "adjustment_value": {
                                    "value": 5.0,
                                    "displayValue": "5"
                                },
                                "adjustment_amount": {
                                    "value": -5.0,
                                    "displayValue": "($5.00)"
                                },
                                "adjustment_amount_total": {
                                    "value": -5.0,
                                    "displayValue": "($5.00)"
                                },
                                "adjustment_description": {
                                    "displayValue": "premium monitoring bundle discount"
                                },
                                "adjustment_sequence_id": {
                                    "value": 1.0
                                },
                                "adjustment_matrix_type": {
                                    "displayValue": "Configuration Component Price Adjustment"
                                },
                                "adjustment_basis": {
                                    "value": "prv_price_point"
                                },
                                "price_point": {
                                    "value": "net_price"
                                },
                                "pricing_plan_step": {
                                    "value": "97b61272ffe722101fb14ad013cb14d7"
                                },
                                "running_price": {
                                    "value": 35.0,
                                    "displayValue": "$35.00"
                                }
                            }
                        ],
                        "total_adjustment_amount": [
                            {
                                "pricePoint": "net_price",
                                "value": -5.0,
                                "displayValue": "($5.00)"
                            }
                        ]
                    },
                    {
                        "line_id": "ULTIMONIT1005",
                        "status": "Success",
                        "currency": "USD",
                        "base_price": {
                            "value": "50.0000",
                            "displayValue": "$50.00"
                        },
                        "list_price": {
                            "value": "50.0000",
                            "displayValue": "$50.00"
                        },
                        "pricelist": "19d29513d0e63110f8770dbf976be122",
                        "quantity": "1",
                        "price_list_line": "72736f85d07a7910f8770dbf976be162",
                        "product_offering": "3b6111dfd0a63110f8770dbf976be147",
                        "parent_product_offer": "26d07c3211707110f877366201dea60c",
                        "top_product_offer": "26d07c3211707110f877366201dea60c",
                        "one_time_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "monthly_recurring_price": {
                            "value": "45.0000",
                            "displayValue": "$45.00"
                        },
                        "annual_recurring_price": {
                            "value": "540.0000",
                            "displayValue": "$540.00"
                        },
                        "unit_net_price": {
                            "value": "45.0000",
                            "displayValue": "$45.00"
                        },
                        "cumulative_net_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_one_time_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_monthly_recurring_price": {
                            "value": "45.0000",
                            "displayValue": "$45.00"
                        },
                        "cumulative_annual_recurring_price": {
                            "value": "540.0000",
                            "displayValue": "$540.00"
                        },
                        "unit_adjustment": {
                            "value": "-5.0000",
                            "displayValue": "($5.00)"
                        },
                        "term_month": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_annual_recurring_price_v1": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_monthly_recurring_price_v1": {
                            "value": "45.0000",
                            "displayValue": "$45.00"
                        },
                        "total_recurring_price": {
                            "value": "45.0000",
                            "displayValue": "$45.00"
                        },
                        "pricingAdjustments": [
                            {
                                "adjustment_type": {
                                    "value": "6e1c03d653dd91105c0eddeeff7b1232",
                                    "displayValue": "MARKDOWN_AMT"
                                },
                                "adjustment_value": {
                                    "value": 5.0,
                                    "displayValue": "5"
                                },
                                "adjustment_amount": {
                                    "value": -5.0,
                                    "displayValue": "($5.00)"
                                },
                                "adjustment_amount_total": {
                                    "value": -5.0,
                                    "displayValue": "($5.00)"
                                },
                                "adjustment_description": {
                                    "displayValue": "ultimate monitoring bundle discount"
                                },
                                "adjustment_sequence_id": {
                                    "value": 1.0
                                },
                                "adjustment_matrix_type": {
                                    "displayValue": "Configuration Component Price Adjustment"
                                },
                                "adjustment_basis": {
                                    "value": "prv_price_point"
                                },
                                "price_point": {
                                    "value": "net_price"
                                },
                                "pricing_plan_step": {
                                    "value": "97b61272ffe722101fb14ad013cb14d7"
                                },
                                "running_price": {
                                    "value": 45.0,
                                    "displayValue": "$45.00"
                                }
                            }
                        ],
                        "total_adjustment_amount": [
                            {
                                "pricePoint": "net_price",
                                "value": -5.0,
                                "displayValue": "($5.00)"
                            }
                        ]
                    },
                    {
                        "line_id": "INDOORCAM1006",
                        "status": "Success",
                        "currency": "USD",
                        "base_price": {
                            "value": "35.0000",
                            "displayValue": "$35.00"
                        },
                        "list_price": {
                            "value": "35.0000",
                            "displayValue": "$35.00"
                        },
                        "pricelist": "19d29513d0e63110f8770dbf976be122",
                        "quantity": "1",
                        "price_list_line": "81332f45d07a7910f8770dbf976be14e",
                        "product_offering": "1761dd9fd0a63110f8770dbf976be196",
                        "parent_product_offer": "26d07c3211707110f877366201dea60c",
                        "top_product_offer": "26d07c3211707110f877366201dea60c",
                        "one_time_price": {
                            "value": "28.0000",
                            "displayValue": "$28.00"
                        },
                        "monthly_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "annual_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "unit_net_price": {
                            "value": "28.0000",
                            "displayValue": "$28.00"
                        },
                        "cumulative_net_price": {
                            "value": "28.0000",
                            "displayValue": "$28.00"
                        },
                        "cumulative_one_time_price": {
                            "value": "28.0000",
                            "displayValue": "$28.00"
                        },
                        "cumulative_monthly_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_annual_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "unit_adjustment": {
                            "value": "-7.0000",
                            "displayValue": "($7.00)"
                        },
                        "term_month": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_annual_recurring_price_v1": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_monthly_recurring_price_v1": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "total_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "pricingAdjustments": [
                            {
                                "adjustment_type": {
                                    "value": "a96c83d653dd91105c0eddeeff7b12d8",
                                    "displayValue": "MARKDOWN_PER"
                                },
                                "adjustment_value": {
                                    "value": 20.0,
                                    "displayValue": "20"
                                },
                                "adjustment_amount": {
                                    "value": -7.0,
                                    "displayValue": "($7.00)"
                                },
                                "adjustment_amount_total": {
                                    "value": -7.0,
                                    "displayValue": "($7.00)"
                                },
                                "adjustment_description": {
                                    "displayValue": "indoor camera bundle discount"
                                },
                                "adjustment_sequence_id": {
                                    "value": 1.0
                                },
                                "adjustment_matrix_type": {
                                    "displayValue": "Configuration Component Price Adjustment"
                                },
                                "adjustment_basis": {
                                    "value": "prv_price_point"
                                },
                                "price_point": {
                                    "value": "net_price"
                                },
                                "pricing_plan_step": {
                                    "value": "97b61272ffe722101fb14ad013cb14d7"
                                },
                                "running_price": {
                                    "value": 28.0,
                                    "displayValue": "$28.00"
                                }
                            }
                        ],
                        "total_adjustment_amount": [
                            {
                                "pricePoint": "net_price",
                                "value": -7.0,
                                "displayValue": "($7.00)"
                            }
                        ]
                    },
                    {
                        "line_id": "OUTCAMERA1007",
                        "status": "Success",
                        "currency": "USD",
                        "base_price": {
                            "value": "40.0000",
                            "displayValue": "$40.00"
                        },
                        "list_price": {
                            "value": "40.0000",
                            "displayValue": "$40.00"
                        },
                        "pricelist": "19d29513d0e63110f8770dbf976be122",
                        "quantity": "1",
                        "price_list_line": "9a136f45d07a7910f8770dbf976be1b4",
                        "product_offering": "6f6111dfd0a63110f8770dbf976be100",
                        "parent_product_offer": "26d07c3211707110f877366201dea60c",
                        "top_product_offer": "26d07c3211707110f877366201dea60c",
                        "one_time_price": {
                            "value": "32.0000",
                            "displayValue": "$32.00"
                        },
                        "monthly_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "annual_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "unit_net_price": {
                            "value": "32.0000",
                            "displayValue": "$32.00"
                        },
                        "cumulative_net_price": {
                            "value": "32.0000",
                            "displayValue": "$32.00"
                        },
                        "cumulative_one_time_price": {
                            "value": "32.0000",
                            "displayValue": "$32.00"
                        },
                        "cumulative_monthly_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_annual_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "unit_adjustment": {
                            "value": "-8.0000",
                            "displayValue": "($8.00)"
                        },
                        "term_month": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_annual_recurring_price_v1": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_monthly_recurring_price_v1": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "total_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "pricingAdjustments": [
                            {
                                "adjustment_type": {
                                    "value": "a96c83d653dd91105c0eddeeff7b12d8",
                                    "displayValue": "MARKDOWN_PER"
                                },
                                "adjustment_value": {
                                    "value": 20.0,
                                    "displayValue": "20"
                                },
                                "adjustment_amount": {
                                    "value": -8.0,
                                    "displayValue": "($8.00)"
                                },
                                "adjustment_amount_total": {
                                    "value": -8.0,
                                    "displayValue": "($8.00)"
                                },
                                "adjustment_description": {
                                    "displayValue": "outdoor camera bundle discount"
                                },
                                "adjustment_sequence_id": {
                                    "value": 1.0
                                },
                                "adjustment_matrix_type": {
                                    "displayValue": "Configuration Component Price Adjustment"
                                },
                                "adjustment_basis": {
                                    "value": "prv_price_point"
                                },
                                "price_point": {
                                    "value": "net_price"
                                },
                                "pricing_plan_step": {
                                    "value": "97b61272ffe722101fb14ad013cb14d7"
                                },
                                "running_price": {
                                    "value": 32.0,
                                    "displayValue": "$32.00"
                                }
                            }
                        ],
                        "total_adjustment_amount": [
                            {
                                "pricePoint": "net_price",
                                "value": -8.0,
                                "displayValue": "($8.00)"
                            }
                        ]
                    },
                    {
                        "line_id": "WINSENSOR1008",
                        "status": "Success",
                        "currency": "USD",
                        "base_price": {
                            "value": "15.0000",
                            "displayValue": "$15.00"
                        },
                        "list_price": {
                            "value": "15.0000",
                            "displayValue": "$15.00"
                        },
                        "pricelist": "19d29513d0e63110f8770dbf976be122",
                        "quantity": "3",
                        "price_list_line": "91f26b45d07a7910f8770dbf976be19b",
                        "product_offering": "1b20347e11307110f877366201dea67f",
                        "parent_product_offer": "26d07c3211707110f877366201dea60c",
                        "top_product_offer": "26d07c3211707110f877366201dea60c",
                        "one_time_price": {
                            "value": "36.0000",
                            "displayValue": "$36.00"
                        },
                        "monthly_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "annual_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "unit_net_price": {
                            "value": "12.0000",
                            "displayValue": "$12.00"
                        },
                        "cumulative_net_price": {
                            "value": "36.0000",
                            "displayValue": "$36.00"
                        },
                        "cumulative_one_time_price": {
                            "value": "36.0000",
                            "displayValue": "$36.00"
                        },
                        "cumulative_monthly_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_annual_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "unit_adjustment": {
                            "value": "-3.0000",
                            "displayValue": "($3.00)"
                        },
                        "term_month": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_annual_recurring_price_v1": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_monthly_recurring_price_v1": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "total_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "pricingAdjustments": [
                            {
                                "adjustment_type": {
                                    "value": "a96c83d653dd91105c0eddeeff7b12d8",
                                    "displayValue": "MARKDOWN_PER"
                                },
                                "adjustment_value": {
                                    "value": 20.0,
                                    "displayValue": "20"
                                },
                                "adjustment_amount": {
                                    "value": -3.0,
                                    "displayValue": "($3.00)"
                                },
                                "adjustment_amount_total": {
                                    "value": -9.0,
                                    "displayValue": "($9.00)"
                                },
                                "adjustment_description": {
                                    "displayValue": "window sensor bundle discount"
                                },
                                "adjustment_sequence_id": {
                                    "value": 1.0
                                },
                                "adjustment_matrix_type": {
                                    "displayValue": "Configuration Component Price Adjustment"
                                },
                                "adjustment_basis": {
                                    "value": "prv_price_point"
                                },
                                "price_point": {
                                    "value": "net_price"
                                },
                                "pricing_plan_step": {
                                    "value": "97b61272ffe722101fb14ad013cb14d7"
                                },
                                "running_price": {
                                    "value": 12.0,
                                    "displayValue": "$12.00"
                                }
                            }
                        ],
                        "total_adjustment_amount": [
                            {
                                "pricePoint": "net_price",
                                "value": -9.0,
                                "displayValue": "($9.00)"
                            }
                        ]
                    }
                ],
                "status": "Success",
                "total_monthly_recurring_price": {
                    "value": "105.0000",
                    "displayValue": "$105.00"
                },
                "total_monthly_recurring_price_v1": {
                    "value": "105.0000",
                    "displayValue": "$105.00"
                },
                "total_annual_recurring_price": {
                    "value": "1260.0000",
                    "displayValue": "$1,260.00"
                },
                "total_annual_recurring_price_v1": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_amount": {
                    "value": "200.0000",
                    "displayValue": "$200.00"
                },
                "total_amount_v1": {
                    "value": "305.0000",
                    "displayValue": "$305.00"
                },
                "total_one_time_price": {
                    "value": "200.0000",
                    "displayValue": "$200.00"
                },
                "total_one_time_cost": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_monthly_cost": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_cost": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_one_time_margin": {
                    "value": "200.0000",
                    "displayValue": "$200.00"
                },
                "total_monthly_margin": {
                    "value": "105.0000",
                    "displayValue": "$105.00"
                },
                "total_margin_amount": {
                    "value": "200.0000",
                    "displayValue": "$200.00"
                },
                "total_one_time_margin_percentage": {
                    "value": "100.0000",
                    "displayValue": "$100.00"
                },
                "total_monthly_margin_percentage": {
                    "value": "100.0000",
                    "displayValue": "$100.00"
                },
                "total_margin_percentage": {
                    "value": "100.0000",
                    "displayValue": "$100.00"
                }
            },
            "settings": {
                "pricing_context_id": "7049E245A667EABB226B16A2190FB92E",
                "pricing_elements": "PRICE,COST,NET_PRICE,LINE_ROLLUPS,HEADER_ROLLUPS,ADJUSTMENTS"
            }
        }
    }

## 製品構成の更新 (特性オプションの変更) {#sales_crm_pricing-POST-compute-price__example_tdq_rjt_ygc}

この例では、ユーザーが選択可能なオプション (特性) を変更して、アクティブな製品構成セッションを更新する方法を示します。これは、色、サイズ、機能の変更など、製品コンフィギュレーターの一般的なアクションです。

前提条件:[製品構成セッション](https://servicenow-prod.fluidtopics.net/eVpERWSyyyt0sBLhB33hKA#sales_crm_pricing-POST-compute-price__example_zbg_2jt_ygc)を開始するときに返される`pricing_context_id`を含める必要があります。これにより、更新するセッションが価格設定エンジンに指示されます。

注: lineItems アレイには、変更される特定のアイテムのみが含まれている必要があり、製品階層全体を再度送信する必要はありません。

例:cURL 要求。

    curl "https://instance.servicenow.com/api/sn_csm_pricing/v1/pricingengine/computePrice" \
    --request POST \
    --header "Accept: application/json" \
    --header "Content-Type: application/json" \
    --data '{
        "header": {
            "source_system": "ServiceNow Headless API",
            "requesting_record_id": "QT0001101",
            "currency": "USD",
            "lineItems": [
                {
                    "parent_product_offer": "26d07c3211707110f877366201dea60c",
                    "pricelist": "19d29513d0e63110f8770dbf976be122",
                    "product_offering": "3f6111dfd0a63110f8770dbf976be149",
                    "periodicity": "",
                    "quantity": "1",
                    "top_product_offer": "26d07c3211707110f877366201dea60c",
                    "unit_of_measure": "cb2795d553020110286eddeeff7b12ff",
                    "characteristics": [
                        {
                            "characteristic": "4f31999fd0a63110f8770dbf976be178",
                            "characteristic_option": "8331999fd0a63110f8770dbf976be179"
                        }
                    ],
                    "transaction_date": "2025-08-28 22:46:39",
                    "selected": true,
                    "line_id": "HOMEAUTOMA1002"
                }
            ],
            "pricelist": "19d29513d0e63110f8770dbf976be122",
            "transaction_date": "2023-12-18 23:37:11"
        },
        "settings": {
            "pricing_elements": "PRICE,COST,NET_PRICE,LINE_ROLLUPS,HEADER_ROLLUPS,ADJUSTMENTS",
            "pricing_context_id": "7049E245A667EABB226B16A2190FB92E",
            "disable_validation": true,
            "scope": "configurator",
            "config_top_line_identifier": "HOMEAUTOMA2000",
            "config_lines_expanded": false
        }
    }' \
    --user 'username:password'

<br />

    {
        "result": {
            "header": {
                "currency": "USD",
                "lineItems": [
                    {
                        "line_id": "HOMEAUTOMA1002",
                        "status": "Success",
                        "currency": "USD",
                        "base_price": {
                            "value": "100.0000",
                            "displayValue": "$100.00"
                        },
                        "list_price": {
                            "value": "120.0000",
                            "displayValue": "$120.00"
                        },
                        "pricelist": "19d29513d0e63110f8770dbf976be122",
                        "quantity": "1",
                        "price_list_line": "fe912705d07a7910f8770dbf976be147",
                        "product_offering": "3f6111dfd0a63110f8770dbf976be149",
                        "parent_product_offer": "26d07c3211707110f877366201dea60c",
                        "top_product_offer": "26d07c3211707110f877366201dea60c",
                        "one_time_price": {
                            "value": "96.0000",
                            "displayValue": "$96.00"
                        },
                        "monthly_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "annual_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "unit_net_price": {
                            "value": "96.0000",
                            "displayValue": "$96.00"
                        },
                        "cumulative_net_price": {
                            "value": "96.0000",
                            "displayValue": "$96.00"
                        },
                        "cumulative_one_time_price": {
                            "value": "96.0000",
                            "displayValue": "$96.00"
                        },
                        "cumulative_monthly_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_annual_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "unit_adjustment": {
                            "value": "-24.0000",
                            "displayValue": "($24.00)"
                        },
                        "term_month": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_annual_recurring_price_v1": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_monthly_recurring_price_v1": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "total_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "pricingAdjustments": [
                            {
                                "adjustment_type": {
                                    "value": "d88bc79653dd91105c0eddeeff7b12c1",
                                    "displayValue": "MARKUP_AMT"
[...]
